cascading.flow.hadoop.util

## Class HadoopMRUtil

- java.lang.Object
- - cascading.flow.hadoop.util.HadoopMRUtil

    public class HadoopMRUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HadoopMRUtil()`

### Method Summary

Methods
`static Map<org.apache.hadoop.fs.Path,org.apache.hadoop.fs.Path>` `addToClassPath(org.apache.hadoop.conf.Configuration config, List<String> classpath)` Add to class path.
`static boolean` `hasReducer(org.apache.hadoop.mapred.JobConf jobConf)`
`static String` `readStateFromDistCache(org.apache.hadoop.mapred.JobConf jobConf, String id, String kind)`
`static String` `writeStateToDistCache(org.apache.hadoop.mapred.JobConf conf, String id, String kind, String stepState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HadoopMRUtil

    public HadoopMRUtil()

### Method Detail

#### writeStateToDistCache

    public static String writeStateToDistCache(org.apache.hadoop.mapred.JobConf conf,
                               String id,
                               String kind,
                               String stepState)

#### readStateFromDistCache

    public static String readStateFromDistCache(org.apache.hadoop.mapred.JobConf jobConf,
                                String id,
                                String kind)
                                         throws IOException

Throws:
  `IOException`

#### addToClassPath

    public static Map<org.apache.hadoop.fs.Path,org.apache.hadoop.fs.Path> addToClassPath(org.apache.hadoop.conf.Configuration config,
                                                                          List<String> classpath)

Add to class path.

Parameters:
  `config` - the config
  `classpath` - the classpath

#### hasReducer

    public static boolean hasReducer(org.apache.hadoop.mapred.JobConf jobConf)